Saltar al contenido principal
GET
/
public
/
v1
/
campaign-service
/
campaigns
/
sponsored-brand
/
{campaign-id}
/
bids
List sponsored brand campaign bids.
curl --request GET \
  --url https://api.topsort.com/public/v1/campaign-service/campaigns/sponsored-brand/{campaign-id}/bids \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.topsort.com/public/v1/campaign-service/campaigns/sponsored-brand/{campaign-id}/bids"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.topsort.com/public/v1/campaign-service/campaigns/sponsored-brand/{campaign-id}/bids', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "hasMore": true,
  "results": [
    {
      "bidId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "target": {
        "id": "<string>"
      },
      "triggers": [
        {
          "type": "<string>",
          "value": {
            "fromProduct": "<string>"
          }
        }
      ],
      "formatProperties": {
        "imageAssets": [
          {
            "height": 123,
            "width": 123,
            "contentType": "<string>",
            "contentLength": 123,
            "url": "<string>"
          }
        ],
        "content": {},
        "slotId": "<string>"
      },
      "amount": "<unknown>",
      "location": "Santiago"
    }
  ],
  "nextPage": "SSBzb2xlbW5seSBzd2VhciB0aGF0IEkgYW0gdXAgdG8gbm8gZ29vZAo="
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Autorizaciones

Authorization
string
header
requerido

A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.

Parámetros de ruta

campaign-id
string<uuid>
requerido

The ID of the campaign.

Parámetros de consulta

limit
integer
predeterminado:100

The pagination limit.

Rango requerido: x <= 100
next_page
string | null

A token provided in a previous response. If not empty, it is used to retrieve the page that follows.

search
string | null

Search query to filter the bids.

Respuesta

Successful Response

Paginated list of sponsored brand bids.

hasMore
boolean
requerido

Flag that indicates whether more results are available. true indicates there is a next page of results. false indicates this response contains the last page of results.

results
PublicSponsoredBrandBid · object[]
requerido

An array of sponsored brand bids.

nextPage
string | null

Pagination cursor. Provide this value as a next_page query parameter in a new request to retrieve the next page of results.

Minimum string length: 1
Ejemplo:

"SSBzb2xlbW5seSBzd2VhciB0aGF0IEkgYW0gdXAgdG8gbm8gZ29vZAo="